[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TUserCheckBoxImageEvent

Specifies the event handler used to get the image drawn for a check box column.

## Declaration

Source position: grids.pas line 378

`type TUserCheckBoxImageEvent = procedure(`
`Sender: TObject;`
`const aCol: Integer;`
`const aRow: Integer;`
`const CheckedState: TCheckBoxState;`
`var ImageList: TCustomImageList;`
`var ImageIndex: TImageIndex`
`) of object;`

## Arguments

`Sender` |  | Grid generating the event notification.
`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`CheckedState` |  | State for the check box.
`ImageList` |  | Image list with unchecked and checked images.
`ImageIndex` |  | Position of the image in ImageList to use for the check box cell.

## Description

TUserCheckBoxImageEvent specifies an event handler signalled to get the image drawn for a grid cell which displays a Checkbox.

Sender is the grid control generating the event notification.

ACol and ARow are the column and row numbers (respectively) for the cell where the check box is drawn.

CheckedState indicates whether the check box is drawn using the Checked state.

ImageList contains the images used for the Unchecked and Checked states.

ImageIndex indicates the image in ImageList used for the drawing operation.

TUserCheckBoxImageEvent is the type used to implement the OnUserCheckboxImage in TCustomGrid. Applications must implement an object procedure using the event signature to respond to the event notification.

## See also

TCustomGrid.OnUserCheckboxImage |  | Event handler signalled to get the user-defined image used for a check box cell.
TCustomGrid.GetImageForCheckBox |  | Gets the bitmap used to draw check box columns in the grid.